Main Page Widgets Namespaces Book

# Glib::Value< void * > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Value< void * >:

[legend]
List of all members.

### template<>
class Glib::Value< void * >

## Public Types

typedef void* | CppType
typedef gpointer | CType

## Public Member Functions

void | set (void* data)
void* | get () const

## Static Public Member Functions

GType | value_type () G_GNUC_CONST

## Member Typedef Documentation

typedef void* Glib::Value<void*>::CppType

typedef gpointer Glib::Value<void*>::CType

## Member Function Documentation

void* Glib::Value<void*>::get | ( |  | ) | const

void Glib::Value<void*>::set | ( | void* | data | ) |

GType Glib::Value<void*>::value_type | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- value_basictypes.h